Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface DocumentManagerComponent

All Superinterfaces:
  ContentComponent, WCMApiObject

Deprecated. Document Manager is deprecated since 7.0

    public interface DocumentManagerComponent

extends ContentComponent

Represents a DocumentManager component.

A `DocumentManager Component` is a `ContentComponent` and cannot be stored as a separate entity in the repository.

A `DocumentManager Component` is used to reference a document within the DocumentManager.

note: since `v6.0.0`, a `DocumentManagerComponent` is referred to as an `"Document Manager Element"`in the Authoring UI.``

See Also:
  `ContentComponent`

Method Summary
`java.lang.String` | `getDocumentLibrary()` Deprecated. Returns the library name for the current Document as a `String`.
`java.lang.String` | `getDocumentPath()` Deprecated. Returns the document path ( folders and filename ) within the Document library for this document as a `String`.
`DocumentType<? extends DocumentManagerComponent>` | `getDocumentType()` Deprecated. Returns the `DocumentType` of the `ContentComponent`.
`java.lang.String` | `getVersionName()` Deprecated. Returns the set verisonName to be used if the verison number is locked
`boolean` | `isLockedToVersion()` Deprecated. Returns true is the document is locked to a specific verison.
`void` | `refreshDocument()` Deprecated. Refresh the document information, including latest version information for the document from Document Manager.
`void` | `setDocumentInformation(java.lang.String library, java.lang.String documentPath)` Deprecated. Sets the Document library and path information for the DocumentManager Document associated with this component.
`void` | `setLockToVersion(boolean locked)` Deprecated. Sets the current lock state for the document, If `locked` is true then the docuemnt will be locked to the current document version.

Methods inherited from interface com.ibm.workplace.wcm.api.ContentComponent
`getContainer, getName`

Method Detail

### getDocumentType

    DocumentType<? extends DocumentManagerComponent> getDocumentType()

  Deprecated.
  Description copied from interface: `ContentComponent`
  Returns the `DocumentType` of the `ContentComponent`.

  Specified by:
    `getDocumentType` in interface `ContentComponent`
  Returns:
    the type
  See Also:
    `ContentComponent.getDocumentType()`

### getDocumentLibrary

    java.lang.String getDocumentLibrary()

  Deprecated.
  Returns the library name for the current Document as a `String`.

  Returns an empty `String` if the library has not been set.

  Returns:
    the library name

### setDocumentInformation

    void setDocumentInformation(java.lang.String library,
                                java.lang.String documentPath)
                                throws DocumentNotFoundException

  Deprecated.
  Sets the Document library and path information for the DocumentManager Document associated with this component.

  Parameters:
    `library` - The JCR path of the library that the document is contained in, /contentRoot/icm:libraries[x] where x is a number
    `documentPath` - the path to the document within the library, e.g. /Example folder/example.doc
  Throws:
    `DocumentNotFoundException` - if the document information could not be set. Examples of this would be the document not being found

### getDocumentPath

    java.lang.String getDocumentPath()

  Deprecated.
  Returns the document path ( folders and filename ) within the Document library for this document as a `String`.

  Returns an empty `String` if the document path has not been set.

  Returns:
    the library name

### getVersionName

    java.lang.String getVersionName()

  Deprecated.
  Returns the set verisonName to be used if the verison number is locked

  Returns:
    the library name
  See Also:
    `

    Returns an empty `String` if the versionName has not has not been set.

    `

### isLockedToVersion

    boolean isLockedToVersion()

  Deprecated.
  Returns true is the document is locked to a specific verison. If a document is locked to a version then the rendering of this document will always use the same verison. otherwise the most recent verison of the document will always be used.

  The version name returned by getVersionName is the veriosn that will be rendered if it is locked.

  Returns an true is locked, otherwise false is returned

  Returns:
    current lockaed state

### setLockToVersion

    void setLockToVersion(boolean locked)
                          throws OperationFailedException

  Deprecated.
  Sets the current lock state for the document, If `locked` is true then the docuemnt will be locked to the current document version. Otherwise

  Parameters:
    `locked` - if false the latest document in DocumentManager will be rendered. If true then the same version will always be returned. The version set will be the version returned in getVersionName() at the time of locking the document.
  Throws:
    `OperationFailedException` - If the document could not be locked. Likely causes of this are the documentInformation has not been sucessfully set, or the document currently does not have a verison set.
  See Also:
    `getVersionName()`

### refreshDocument

    void refreshDocument()
                         throws DocumentNotFoundException,
                                DocumentIsLockedException

  Deprecated.
  Refresh the document information, including latest version information for the document from Document Manager.

  Throws:
    `DocumentIsLockedException` - if the document is currently locked.
    `DocumentNotFoundException` - if the document nolonger exists within DocumentManager.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD